Comunidades
Obter uma comunidade
GET /v1/communities/{community_id} reads 1 créditos
O perfil de uma comunidade: nome, descrição, contagem de membros, política de entrada, tema, banner, criador, hashtags em alta e regras.
resposta
Um objeto community. Uma comunidade desconhecida ou indisponível retorna 404.
Status: 200, 404, 422, 429, 502
requisição
curl https://api.xsignalfeed.com/v1/communities/1493446837214187523 \ -H "Authorization: Bearer xsf_your_key"
resposta · 200 / 404
{
"community": {
"id": "1493446837214187523",
"name": "Build in Public",
"description": "Share what you're working on. Get feedback. Help each other move forward. …",
"member_count": 267179,
"created_ms": 1644900447551,
"join_policy": "Open",
"is_nsfw": false,
"primary_topic": "Entrepreneurship",
"banner": "https://pbs.twimg.com/community_banner_img/1915033378811772928/…?format=png&name=orig",
"creator": {
"id": "641633",
"screen_name": "marckohlbrugge",
"verified": true
},
"trending_hashtags": [
"#design",
"#code",
"…"
],
"rules": [
{
"id": "1493447542045958144",
"name": "Share what you're working on",
"description": "…"
},
{
"…": "…"
}
]
}
}